package com.fundi.framework.common.cslcomms;

/*
 *  Common Services Library - Framework plug-in.
 *  (C) Copyright Fundi Software 2011, 2016.  Fundi Confidential.
 *  All rights reserved.  Use, duplication or disclosure restricted. 
 */

import java.io.Serializable;

import com.fundi.framework.common.nl1.Messages;

public class Xheader implements Serializable {

	//Eye catchers.
	public static final String EC_COPYRIGHT = "(C) Copyright 2011, 2016 Fundi Software.  Fundi Confidential."; //$NON-NLS-1$
	public static final String EC_APAR = "3.1.1.00_00014"; //$NON-NLS-1$
	public static final String EC_FMID = "H30SA10"; //$NON-NLS-1$
	public static final String EC_PID = "5655-CSL"; //$NON-NLS-1$
	
	private static final long serialVersionUID = 1L;
	
	private String xhdrCtlFldEyec;
	private String xhdrCtlFldArclev;
	private String xhdrCtlFldType;
	private int xhdrTcpTMTE;
	private byte[] xhdrTcpSKD;
	private short xhdrTcpPort;
	private String xhdrTcpAddr;
	private int xhdrSdLen;
	private String xhdrSdSegmctl;
	private String xhdrSdTr;
	private String xhdrCFunc;
	private String xhdrCProduct;
	private short xhdrCCCSID;
	private int xhdrCBufsz;
	private String xhdrCChkid;
	private String xhdrCUid;
	private String xhdrCPwd;
	private long xhdrCReserved1;
	private byte[] xhdrSConvTkn;
	private byte[] xhdrRRSESTkn;
	private byte[] xhdrSPRDE;
	private byte[] xhdrSConv;
	private byte[] xhdrSRSES;
	private int xhdrRc;
	private int xhdrRsn;
	private int xhdrInfo;
	private int xhdrInfo2;
	private int xhdrReserved2;
	private String xhdrCRc;
	private String xhdrCRsn;
	private String xhdrCInfo;
	private String xhdrCInfo1;
	private long xhdrCReserved3;
	private String xhdrStaTime;
	private String xhdrStaLSN;
	private String xhdrStoTime;
	private String xhdrStoLSN;
	
	public Xheader() {
		
		super();
	}

	public String getXhdrCtlFldEyec() {
		return xhdrCtlFldEyec;
	}

	public void setXhdrCtlFldEyec(String xhdrCtlFldEyec) {
		this.xhdrCtlFldEyec = xhdrCtlFldEyec;
	}

	public int getXhdrRc() {
		return xhdrRc;
	}

	public void setXhdrRc(int xhdrRc) {
		this.xhdrRc = xhdrRc;
	}

	public String getXhdrCtlFldArclev() {
		return xhdrCtlFldArclev;
	}

	public void setXhdrCtlFldArclev(String xhdrCtlFldArclev) {
		this.xhdrCtlFldArclev = xhdrCtlFldArclev;
	}

	public String getXhdrCtlFldType() {
		return xhdrCtlFldType;
	}

	public void setXhdrCtlFldType(String xhdrCtlFldType) {
		this.xhdrCtlFldType = xhdrCtlFldType;
	}

	public int getXhdrTcpTMTE() {
		return xhdrTcpTMTE;
	}

	public void setXhdrTcpTMTE(int xhdrTcpTMTE) {
		this.xhdrTcpTMTE = xhdrTcpTMTE;
	}

	public byte[] getXhdrTcpSKD() {
		return xhdrTcpSKD;
	}

	public void setXhdrTcpSKD(byte[] xhdrTcpSKD) {
		this.xhdrTcpSKD = xhdrTcpSKD;
	}

	public short getXhdrTcpPort() {
		return xhdrTcpPort;
	}

	public void setXhdrTcpPort(short xhdrTcpPort) {
		this.xhdrTcpPort = xhdrTcpPort;
	}

	public String getXhdrTcpAddr() {
		return xhdrTcpAddr;
	}

	public void setXhdrTcpAddr(String xhdrTcpAddr) {
		this.xhdrTcpAddr = xhdrTcpAddr;
	}

	public int getXhdrSdLen() {
		return xhdrSdLen;
	}

	public void setXhdrSdLen(int xhdrSdLen) {
		this.xhdrSdLen = xhdrSdLen;
	}

	public String getXhdrSdSegmctl() {
		return xhdrSdSegmctl;
	}

	public void setXhdrSdSegmctl(String xhdrSdSegmctl) {
		this.xhdrSdSegmctl = xhdrSdSegmctl;
	}

	public String getXhdrSdTr() {
		return xhdrSdTr;
	}

	public void setXhdrSdTr(String xhdrSdTr) {
		this.xhdrSdTr = xhdrSdTr;
	}

	public String getXhdrCFunc() {
		return xhdrCFunc;
	}

	public void setXhdrCFunc(String xhdrCFunc) {
		this.xhdrCFunc = xhdrCFunc;
	}

	public String getXhdrCProduct() {
		return xhdrCProduct;
	}

	public void setXhdrCProduct(String xhdrCProduct) {
		this.xhdrCProduct = xhdrCProduct;
	}

	public short getXhdrCCCSID() {
		return xhdrCCCSID;
	}

	public void setXhdrCCCSID(short xhdrCCCSID) {
		this.xhdrCCCSID = xhdrCCCSID;
	}

	public int getXhdrCBufsz() {
		return xhdrCBufsz;
	}

	public void setXhdrCBufsz(int xhdrCBufsz) {
		this.xhdrCBufsz = xhdrCBufsz;
	}

	public String getXhdrCChkid() {
		return xhdrCChkid;
	}

	public void setXhdrCChkid(String xhdrCChkid) {
		this.xhdrCChkid = xhdrCChkid;
	}

	public String getXhdrCUid() {
		return xhdrCUid;
	}

	public void setXhdrCUid(String xhdrCUid) {
		this.xhdrCUid = xhdrCUid;
	}

	public String getXhdrCPwd() {
		return xhdrCPwd;
	}

	public void setXhdrCPwd(String xhdrCPwd) {
		this.xhdrCPwd = xhdrCPwd;
	}

	public long getXhdrCReserved1() {
		return xhdrCReserved1;
	}

	public void setXhdrCReserved1(long xhdrCReserved1) {
		this.xhdrCReserved1 = xhdrCReserved1;
	}

	public byte[] getXhdrSConvTkn() {
		return xhdrSConvTkn;
	}

	public void setXhdrSConvTkn(byte[] xhdrSConvTkn) {
		this.xhdrSConvTkn = xhdrSConvTkn;
	}

	public byte[] getXhdrRRSESTkn() {
		return xhdrRRSESTkn;
	}

	public void setXhdrRRSESTkn(byte[] xhdrRRSESTkn) {
		this.xhdrRRSESTkn = xhdrRRSESTkn;
	}

	public byte[] getXhdrSPRDE() {
		return xhdrSPRDE;
	}

	public void setXhdrSPRDE(byte[] xhdrSPRDE) {
		this.xhdrSPRDE = xhdrSPRDE;
	}

	public byte[] getXhdrSConv() {
		return xhdrSConv;
	}

	public void setXhdrSConv(byte[] xhdrSConv) {
		this.xhdrSConv = xhdrSConv;
	}

	public byte[] getXhdrSRSES() {
		return xhdrSRSES;
	}

	public void setXhdrSRSES(byte[] xhdrSRSES) {
		this.xhdrSRSES = xhdrSRSES;
	}

	public int getXhdrRsn() {
		return xhdrRsn;
	}

	public void setXhdrRsn(int xhdrRsn) {
		this.xhdrRsn = xhdrRsn;
	}

	public int getXhdrInfo() {
		return xhdrInfo;
	}

	public void setXhdrInfo(int xhdrInfo) {
		this.xhdrInfo = xhdrInfo;
	}

	public int getXhdrInfo2() {
		return xhdrInfo2;
	}

	public void setXhdrInfo2(int xhdrInfo2) {
		this.xhdrInfo2 = xhdrInfo2;
	}

	public int getXhdrReserved2() {
		return xhdrReserved2;
	}

	public void setXhdrReserved2(int xhdrReserved2) {
		this.xhdrReserved2 = xhdrReserved2;
	}

	public String getXhdrCRc() {
		return xhdrCRc;
	}

	public void setXhdrCRc(String xhdrCRc) {
		this.xhdrCRc = xhdrCRc;
	}

	public String getXhdrCRsn() {
		return xhdrCRsn;
	}

	public void setXhdrCRsn(String xhdrCRsn) {
		this.xhdrCRsn = xhdrCRsn;
	}

	public String getXhdrCInfo() {
		return xhdrCInfo;
	}

	public void setXhdrCInfo(String xhdrCInfo) {
		this.xhdrCInfo = xhdrCInfo;
	}

	public String getXhdrCInfo1() {
		return xhdrCInfo1;
	}

	public void setXhdrCInfo1(String xhdrCInfo1) {
		this.xhdrCInfo1 = xhdrCInfo1;
	}

	public long getXhdrCReserved3() {
		return xhdrCReserved3;
	}

	public void setXhdrCReserved3(long xhdrCReserved3) {
		this.xhdrCReserved3 = xhdrCReserved3;
	}

	public String getXhdrStaTime() {
		return xhdrStaTime;
	}

	public void setXhdrStaTime(String xhdrStaTime) {
		this.xhdrStaTime = xhdrStaTime;
	}

	public String getXhdrStaLSN() {
		return xhdrStaLSN;
	}

	public void setXhdrStaLSN(String xhdrStaLSN) {
		this.xhdrStaLSN = xhdrStaLSN;
	}

	public String getXhdrStoTime() {
		return xhdrStoTime;
	}

	public void setXhdrStoTime(String xhdrStoTime) {
		this.xhdrStoTime = xhdrStoTime;
	}

	public String getXhdrStoLSN() {
		return xhdrStoLSN;
	}

	public void setXhdrStoLSN(String xhdrStoLSN) {
		this.xhdrStoLSN = xhdrStoLSN;
	}
}
