package com.fundi.framework.common.displaylist;

/*
 *  Common Services Library - Framework plug-in.
 *  (C) Copyright Fundi Software 2011, 2016.  Fundi Confidential.
 *  All rights reserved.  Use, duplication or disclosure restricted. 
 */

import java.io.Serializable;
import java.util.ArrayList;

public class ListLayout implements Serializable {

	//Eye catchers.
	public static final String EC_COPYRIGHT = "(C) Copyright 2011, 2016 Fundi Software.  Fundi Confidential."; //$NON-NLS-1$
	public static final String EC_APAR = "3.1.1.00_00014"; //$NON-NLS-1$
	public static final String EC_FMID = "H30SA10"; //$NON-NLS-1$
	public static final String EC_PID = "5655-CSL"; //$NON-NLS-1$
	
	private static final long serialVersionUID = 1L;
	
	String context = ""; //$NON-NLS-1$	//need this package-private for subclass constructor
	private ArrayList<String> fields = new ArrayList<String>();
	private ArrayList<String> keyFields = new ArrayList<String>();
	private boolean ascending = true;
	private boolean hidingBlankColumns = false;
	private boolean hidingZeroValueColumns = false;
	private boolean hidingSameValueColumns = false;
	
	public ListLayout() {
		
		super();
	}

	public ListLayout(String context) {
		
		super();
		
		this.context = context;
	}
	
	public String getContext() {
		
		return context;
	}
	
	public void setFieldSequence(ArrayList<String> fields) {
		
		this.fields = fields;
	}
	
	public ArrayList<String> getFieldSequence() {
		
		return fields;
	}
	
	public String getFieldSequenceAsString() {
		
		String flds = ""; //$NON-NLS-1$
		int idx;
		
		for (idx = 0; idx < fields.size(); idx++) {
			if (idx > 0) {
				flds = flds + ";"; //$NON-NLS-1$
			}
			flds = flds + fields.get(idx);
		}
		
		return flds;
	}

	public void setKeyFields(ArrayList<String> keyFields) {
		
		this.keyFields = keyFields;
	}
	
	public ArrayList<String> getKeyFields() {
		
		return keyFields;
	}
	
	public String getKeyFieldsAsString() {
		
		String flds = ""; //$NON-NLS-1$
		int idx;
		
		for (idx = 0; idx < keyFields.size(); idx++) {
			if (idx > 0) {
				flds = flds + ";"; //$NON-NLS-1$
			}
			flds = flds + keyFields.get(idx);
		}
		
		return flds;
	}
	
	public void setAscending(boolean ascending) {
		
		this.ascending = ascending;
	}
	
	public boolean  isAscending() {
		
		return ascending;
	}

	public boolean isHidingBlankColumns() {
		
		return hidingBlankColumns;
	}

	public void setHidingBlankColumns(boolean hidingBlankColumns) {
		
		this.hidingBlankColumns = hidingBlankColumns;
	}

	public boolean isHidingZeroValueColumns() {
		
		return hidingZeroValueColumns;
	}

	public void setHidingZeroValueColumns(boolean hidingZeroValueColumns) {
		
		this.hidingZeroValueColumns = hidingZeroValueColumns;
	}

	public boolean isHidingSameValueColumns() {
		
		return hidingSameValueColumns;
	}

	public void setHidingSameValueColumns(boolean hidingSameValueColumns) {
		
		this.hidingSameValueColumns = hidingSameValueColumns;
	}

	public void setContext(String context) {
		this.context = context;
	}
}
